Switching the kernel

I try to switch to mocaccino kernel (now it runs Sabayon’s 5.7). It fails:

# luet search kernel/mocaccino
â   Downloading https://raw.githubusercontent.com/Luet-lab/luet-repo/gh-pages/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository luet-official is already up to date.
 â
  ¹ Repository: luet Priority: 1 Type: http
 Downloading https://get.mocaccino.org/mocaccino-extra-stable/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository mocaccino-extra is already up to date.
 â
  ¹ Repository: mocaccino-extra-stable Priority: 2 Type: http
â   Downloading https://get.mocaccino.org/mocaccino-kernel-stable/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository kernel-repo is already up to date.
â   â
     ¹ Repository: mocaccino-kernel-stable Priority: 3 Type: http
 Downloading https://get.mocaccino.org/mocaccino-portage-tree-stable/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository mocaccino-portage is already up to date.
â   â
     ¹ Repository: mocaccino-portage-stable Priority: 2 Type: http
 Downloading https://raw.githubusercontent.com/mocaccinoOS/repository-index/gh-pages/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository mocaccino-repository-index is already up to date.
 â
  ¹ Repository: mocaccino-repository-index Priority: 1 Type: http
 --- Search results (kernel/mocaccino): ---
 â­â kernel/mocaccino-modules-5.9.12
â  ââ Category: kernel
â  ââ Name: mocaccino-modules
â  ââ Version: 5.9.12
â  ââ Description: 
â  ââ Repository: mocaccino-kernel-stable 
â  â°â Uri:  
ââ kernel/mocaccino-sources-5.9.12
â  ââ Category: kernel
â  ââ Name: mocaccino-sources
â  ââ Version: 5.9.12
â  ââ Description: 
â  ââ Repository: mocaccino-kernel-stable 
â  â°â Uri:  
ââ sys-kernel/mocaccino-dracut-1.5
â  ââ Category: sys-kernel
â  ââ Name: mocaccino-dracut
â  ââ Version: 1.5
â  ââ Description: 
â  ââ Repository: mocaccino-kernel-stable 
â  â°â Uri:  
ââ kernel/mocaccino-full-5.9.12
â  ââ Category: kernel
â  ââ Name: mocaccino-full
â  ââ Version: 5.9.12
â  ââ Description: 
â  ââ Repository: mocaccino-kernel-stable 
â  â°â Uri:  
â°â kernel/mocaccino-minimal-5.9.12
   ââ Category: kernel
   ââ Name: mocaccino-minimal
   ââ Version: 5.9.12
   ââ Description: 
   ââ Repository: mocaccino-kernel-stable 
   â°â Uri:  

# luet install mocaccino-full-5.9.12
 Downloading https://raw.githubusercontent.com/Luet-lab/luet-repo/gh-pages/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository luet-official is already up to date.
â   â
     ¹ Repository: luet Priority: 1 Type: http
 Downloading https://get.mocaccino.org/mocaccino-extra-stable/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository mocaccino-extra is already up to date.
 â
  ¹ Repository: mocaccino-extra-stable Priority: 2 Type: http
 Downloading https://get.mocaccino.org/mocaccino-kernel-stable/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository kernel-repo is already up to date.
â   â
     ¹ Repository: mocaccino-kernel-stable Priority: 3 Type: http
 Downloading https://get.mocaccino.org/mocaccino-portage-tree-stable/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository mocaccino-portage is already up to date.
â   â
     ¹ Repository: mocaccino-portage-stable Priority: 2 Type: http
 Downloading https://raw.githubusercontent.com/mocaccinoOS/repository-index/gh-pages/repository.yaml
â   Downloaded repository.yaml of 0.00 MB ( 0.00 MiB/s )
 Repository mocaccino-repository-index is already up to date.
 â
  ¹ Repository: mocaccino-repository-index Priority: 1 Type: http
 Error: Failed solving solution for package: Could not satisfy the constraints. Try again by removing deps 

What should I do?